/*
   microMVC Java Port by Donald Stinchfield <donald.stinchfield@microMVC.org>, et al.
   microMVC - Copyright(c) 2006-08 Futurescale, Inc., Some rights reserved.
   Your reuse is governed by the Creative Commons Attribution 3.0 License
*/

package com.btc.micromvc.interfaces;

/**
 * The interface definition for a microMVC Command.
 * 
 * @see com.btc.micromvc.interfaces INotification
 */
public interface IControllerCmd
{

	/**
	 * Execute the <code>IControllerCmd</code>'s logic to handle a given
	 * <code>INotification</code>.
	 * 
	 * @param notification
	 *            an <code>INotification</code> to handle.
	 */
	public void execute( INotification notification );
}
